ata_rwcmd_protocol
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_rwcmd_protocol — set taskfile r/w commands and protocol

## Synopsis

`int ata_rwcmd_protocol (` | struct ata_taskfile * | tf,
| struct ata_device * | dev`)`;

## Arguments

`tf`

  command to examine and configure

`dev`

  device tf belongs to

## Description

Examine the device configuration and tf->flags to calculate the proper read/write commands and protocol to use.

## LOCKING

caller.

Prev | Up | Next
ata_force_horkage | Home | ata_tf_read_block